//
//  $Id: PopupList.h,v 1.1.1.1 2000/06/02 22:23:01 sergey Exp $
//

#ifndef _PopupList_h_
#define _PopupList_h_

#include "List.h"
#include "ConcreteFormObject.h"


namespace UI
{
    // Defines trigger object as a form element
    typedef ConcreteFormObject<ControlPtr, frmControlObj>  ListTrigger;


    //
    //  List control with the Popup Trigger
    //
    class PopupList: public List
    {
    public:
        PopupList(Form& parent, Word triggerID, Word listID);
        ~PopupList();

    private:
        PopupList(const PopupList& other);
        PopupList& operator =(const PopupList& other);

    // operations
    public:
        void setSelection(int index);

    // attributes

        const ListTrigger& trigger() const { return _trigger; }

    // data members
    private:
        mutable ListTrigger _trigger;
    };
}
// namespace UI

#endif // _PopupList_h_
